
package com.jeelowcode.core.framework.config.aspect.enhance.model;

import com.jeelowcode.core.framework.entity.EnhanceJavaEntity;

import java.util.List;

/**
 * @author JX
 * @create 2024-08-15 15:46
 * @dedescription:
 */
public class BuildEnhanceContext {

    private EnhanceContext context;

    private List<EnhanceJavaEntity> entitys;

    private List<EnhanceJavaEntity> setOperations;
    public BuildEnhanceContext(EnhanceContext context, List<EnhanceJavaEntity> entitys,List<EnhanceJavaEntity> setOperations) {
        this.context = context;
        this.entitys = entitys;
        this.setOperations = setOperations;
    }

    public EnhanceContext getContext() {
        return context;
    }

    public void setContext(EnhanceContext context) {
        this.context = context;
    }

    public List<EnhanceJavaEntity> getEntitys() {
        return entitys;
    }

    public void setEntitys(List<EnhanceJavaEntity> entitys) {
        this.entitys = entitys;
    }

    public List<EnhanceJavaEntity> getSetOperations() {
        return setOperations;
    }

    public void setSetOperations(List<EnhanceJavaEntity> setOperations) {
        this.setOperations = setOperations;
    }

}
